﻿@model IEnumerable<eCommerce.Services.Model.USER>

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="col-xs-3">Nombre y Apellido</th>
            <th class="col-xs-3">Username</th>
            <th class="col-xs-3">Roles</th>
            <th class="col-xs-3">Creado</th>
            <th class="col-xs-1 text-center">Activo</th>
            <th class="col-xs-2 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Fullname)</td>
            <td>@Html.DisplayFor(modelItem => item.Username)</td>
            <td>@item.AssignedRolesNames</td>
            <td>@Html.DisplayFor(modelItem => item.Created)</td>
            <td class="text-center">
                @if (@item.Enabled)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>
            <td class="actions text-center">
                <a href="/Operators/OperatorUpdate/@item.User_Id" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.User_Id"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
